complexType "ccmsk:OutboundTypeParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/msk
Content: | complex, 11 attributes, 26 elements
Defined: | globally in ccmsk.xsd, see XML source
Includes: | definitions of 1 attribute and 6 elements
Used: | at 1 location

XML Representation Summary
<...
| checkAgentsForTransfer | = | xsd:boolean : "false"
| conferenceTimesMult | = | xsd:double : "1"
| name | = | xsd:string
| preServiceTimesNoConfMult | = | xsd:double : "1"
| previewTimesMult | = | xsd:double : "1"
| serviceTimesMult | = | xsd:double : "1"
| transferTimesMult | = | xsd:double : "1"
| virtualQueueTargetType | = | xsd:int
| waitingTimeDefaultVQ | = | xsd:double : "0"
| weight | = | xsd:double : "1"
| windowSizeVQ | = | xsd:int : "1"
| >
Content: | properties?, weightPeriod?, probAbandon?, patienceTime?, serviceTime*, conferenceTime*, preServiceTimeNoConf*, serviceTimesMultTransfer?, transferTime*, probTransfer?, probTransferWait?, transferTarget*, expectedWaitingTimeThresh?, expectedWaitingTimesMult?, probVirtualQueue?, probVirtualQueueCallBack?, patienceTimesMultNoVirtualQueue?, patienceTimesMultCallBack?, serviceTimesMultNoVirtualQueue?, serviceTimesMultCallBack?, probReach, reachTime?, failTime?, probRPC?, previewTime*, dialer?
</...>

Content Elements (26):

  conferenceTime (type ccmsk:ServiceTimeParams), dialer (type ccmsk:DialerParams), expectedWaitingTimesMult (type ssj:nonNegativeDoubleList), expectedWaitingTimeThresh (type ssj:nonNegativeDurationList), failTime (type cc:MultiPeriodGenParams), patienceTime (type cc:MultiPeriodGenParams), patienceTimesMultCallBack (type ssj:nonNegativeDoubleList), patienceTimesMultNoVirtualQueue (type ssj:nonNegativeDoubleList), preServiceTimeNoConf (type ccmsk:ServiceTimeParams), previewTime (type ccmsk:ServiceTimeParams), probAbandon (type ssj:double01iList), probReach (type ssj:double01iList), probRPC (type ssj:double01iList), | probTransfer (type ssj:DoubleArray), probTransferWait (type ssj:DoubleArray), probVirtualQueue (type ssj:double01iList), probVirtualQueueCallBack (type ssj:double01iList), properties (type ssj:PropertiesParams), reachTime (type cc:MultiPeriodGenParams), serviceTime (type ccmsk:ServiceTimeParams), serviceTimesMultCallBack (type ssj:DoubleArray), serviceTimesMultNoVirtualQueue (type ssj:DoubleArray), serviceTimesMultTransfer (type ssj:DoubleArray), transferTarget (type ccmsk:ProducedCallTypeParams), transferTime (type ccmsk:ServiceTimeParams), weightPeriod (type ssj:nonNegativeDoubleList)

All Direct / Indirect Based Elements (1):

  outboundType (type ccmsk:OutboundTypeParams) |

Known Usage Locations

- As direct type of elements (1):

  outboundType (type ccmsk:OutboundTypeParams) |

Annotation
Defines the parameters for an outbound call type, for blend/multi-skill call center. This type inherits all elements and attributes common to all call types, and adds several elements and attributes for, e.g., the probability that a dialed outbound call succeeds, distributions for dialing delays, an attached dialer, etc.
Type Definition Detail

Type Derivation Tree ssj:Named ccmsk:CallTypeParams (extension) ccmsk:OutboundTypeParams (extension)

XML Source (w/o annotations (8); see schema source)

<xsd:complexType name="OutboundTypeParams"> <xsd:complexContent> <xsd:extension base="ccmsk:CallTypeParams"> <xsd:sequence> <xsd:element maxOccurs="1" minOccurs="1" name="probReach" type="ssj:double01iList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="reachTime" type="cc:MultiPeriodGenParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="failTime" type="cc:MultiPeriodGenParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probRPC" type="ssj:double01iList"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="previewTime" type="ccmsk:ServiceTimeParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="dialer" type="ccmsk:DialerParams"> </xsd:element> </xsd:sequence> <xsd:attribute default="1" name="previewTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (defined in this component only)
previewTimesMult

  Determines the factor by which each preview time is multiplied. This parameter can be used to globally change preview times for this call type. Its default value is 1, which results in no preview time perturbation.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:OutboundTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="previewTimesMult" type="ssj:nonNegativeDouble"> </xsd:attribute>

Content Element Detail (defined in this component only)
dialer

  Gives the parameters of the dialer for this outbound call type. The given dialer generates calls of the described type only.

  Type: | ccmsk:DialerParams, complex content
  Defined: | locally, within (this) ccmsk:OutboundTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="dialer" type="ccmsk:DialerParams"> </xsd:element>

failTime

  Similar to `reachTime` for the dialing delay necessary for a dialed call to fail.

  Type: | cc:MultiPeriodGenParams, complex content
  Defined: | locally, within (this) ccmsk:OutboundTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="failTime" type="cc:MultiPeriodGenParams"> </xsd:element>

previewTime

  Determines the distribution of the preview times for calls of this type. The preview time is used to determine if the right customer has been reached by the dialer, and is added to the service time if right party connect occurs. If a call is a wrong party connect, this gives the time the agent is busy (the service time is unused). The probability that a call is a right party connect can be adjusted using `probRPC.` Omitting this element results in all preview times to be 0.

  This element works in a way similar to `serviceTime` except that preview times are generated for outbound calls only. Moreover, the multipliers for preview times are applied in a way similar to service times, except that the attribute name for the multipliers is `previewTimesMult.`

  Type: | ccmsk:ServiceTimeParams, complex content
  Defined: | locally, within (this) ccmsk:OutboundTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="previewTime" type="ccmsk:ServiceTimeParams"> </xsd:element>

probRPC

  Determines the probability of right party connect after a customer is reached by the dialer, for each main period. This array of double-precision values must contain one value in `[0, 1]` for each main period, or a single value. If it contains a single value, this value is used for all periods. If it is omitted or empty, a probability of 1 is assumed for each period.

  Type: | ssj:double01iList, simple content
  Defined: | locally, within (this) ccmsk:OutboundTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probRPC" type="ssj:double01iList"> </xsd:element>

probReach

  Determines the probability of reaching a customer (right party connect) when dialing, for each main period. This array of double-precision values must contain one value in `[0, 1]` for each main period, or a single value. If it contains a single value, this value is used for all periods.

  Type: | ssj:double01iList, simple content
  Defined: | locally, within (this) ccmsk:OutboundTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="1" name="probReach" type="ssj:double01iList"> </xsd:element>

reachTime

  Determines the distribution and random variate generator for the time to reach a customer after dialing starts for that customer. This defaults to a discrete probability distribution returning 0 with probability 1, if unspecified, i.e., no dialing delay.

  Type: | cc:MultiPeriodGenParams, complex content
  Defined: | locally, within (this) ccmsk:OutboundTypeParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="reachTime" type="cc:MultiPeriodGenParams"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com